> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Review Ticket Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/support/tickets/review
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/support/tickets/review:
    post:
      tags:
        - Support API
      summary: Review Ticket Endpoint
      operationId: review_ticket_endpoint_api_v1_org_support_tickets_review_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewTicketRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketReviewResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ReviewTicketRequest:
      properties:
        category:
          $ref: '#/components/schemas/TicketCategory'
          default: technical
        cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cluster Id
        description:
          maxLength: 10000
          minLength: 1
          title: Description
          type: string
        environment:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Environment
        severity:
          anyOf:
            - $ref: '#/components/schemas/TicketSeverity'
            - type: 'null'
        source:
          $ref: '#/components/schemas/TicketSource'
          default: portal
        subject:
          maxLength: 200
          minLength: 1
          title: Subject
          type: string
      required:
        - subject
        - description
      title: ReviewTicketRequest
      type: object
    TicketReviewResult:
      properties:
        clarifying_questions:
          items:
            type: string
          title: Clarifying Questions
          type: array
        duplicate_candidates:
          items:
            $ref: '#/components/schemas/DuplicateCandidate'
          title: Duplicate Candidates
          type: array
        enrichment:
          $ref: '#/components/schemas/TicketEnrichment'
        expires_at:
          format: date-time
          title: Expires At
          type: string
        quality:
          $ref: '#/components/schemas/QualityVerdict'
        quality_flags:
          items:
            type: string
          title: Quality Flags
          type: array
        recommended_action:
          $ref: '#/components/schemas/ReviewRecommendation'
          default: new
        review_id:
          format: uuid
          title: Review Id
          type: string
      required:
        - review_id
        - enrichment
        - quality
        - expires_at
      title: TicketReviewResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TicketCategory:
      enum:
        - technical
        - account
        - billing
        - bug
        - feature_request
        - other
      title: TicketCategory
      type: string
    TicketSeverity:
      enum:
        - low
        - medium
        - high
        - critical
      title: TicketSeverity
      type: string
    TicketSource:
      enum:
        - portal
        - api
        - cli
        - agent
      title: TicketSource
      type: string
    DuplicateCandidate:
      properties:
        already_resolved:
          default: false
          title: Already Resolved
          type: boolean
        candidate_id:
          title: Candidate Id
          type: string
        confidence:
          title: Confidence
          type: string
        status_label:
          title: Status Label
          type: string
        summary:
          title: Summary
          type: string
      required:
        - candidate_id
        - summary
        - status_label
        - confidence
      title: DuplicateCandidate
      type: object
    TicketEnrichment:
      properties:
        category:
          anyOf:
            - $ref: '#/components/schemas/TicketCategory'
            - type: 'null'
        severity:
          anyOf:
            - $ref: '#/components/schemas/TicketSeverity'
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
      title: TicketEnrichment
      type: object
    QualityVerdict:
      enum:
        - pass
        - flag
      title: QualityVerdict
      type: string
    ReviewRecommendation:
      enum:
        - auto
        - suggest
        - new
      title: ReviewRecommendation
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````